#slabs-custom-component {
  .components-table.mat-mdc-table {
    border-radius: 4px;
    width: 84% !important;
    margin: 1rem auto;
  }

  .components-table .mat-mdc-header-cell {
    font-weight: bolder;
    background-color: #e0e0e0 !important;
  }

  .components-table .mat-mdc-row:last-of-type .mat-mdc-cell {
    border-bottom: 1px solid rgba(38, 50, 75, 0.12);
  }

  .ec-chips-theme > * {
    margin: 0;
  }

  .mat-mdc-table .mat-mdc-cell {
    background-color: #fcfcfc;
  }

  .mat-column-detailView {
    text-align: end;
  }

  mat-icon.arrow-forward-icon {
    height: 20px;
    width: 20px;
    font-size: 20px;
  }

  mat-icon.check-circle-icon,
  mat-icon.cancel-icon,
  mat-icon.block-icon {
    height: 18px;
    width: 18px;
    font-size: 18px;
  }

  mat-icon.check-circle-icon,
  mat-icon.cancel-icon {
    margin-right: 12px;
  }
}

.is-wizard {
  .mat-mdc-row {
    cursor: pointer !important;
  }

  .mat-mdc-row:hover .mat-mdc-cell {
    background-color: rgba(195, 207, 250, 0.5) !important;
  }

  .row-is-clicked {
    background-color: rgba(195, 207, 250, 0.5) !important;
  }
}
